Bug 641324 - IPV4 DHCP configuration is always used in stage 2 network enablement if DHCP server is present.
IPV4 DHCP configuration is always used in stage 2 network enablement if DHCP ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Radek Vykydal
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-08 08:25 EDT by Radek Vykydal
Modified: 2011-05-19 08:52 EDT (History)
5 users (show)

See Also:
Fixed In Version: anaconda-13.21.84-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 640951
Environment:
Last Closed: 2011-05-19 08:52:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Radek Vykydal 2010-10-08 08:25:00 EDT
+++ This bug was initially created as a clone of Bug #640951 +++

Created attachment 452081 [details]
patch with fix

Description of problem:

If the network is enabled in stage 2, IPV4 DHCP instead of configuration set in nm-c-e.

Version-Release number of selected component (if applicable):

Fedora 14 Beta,
anaconda-14.17.4

How reproducible:

Always

Steps to Reproduce:
1. Start DVD install
2. Enable Fedora 14 Beta repo in repository UI screen
3. Configure static networking in nm-c-e.
4. look at ifconfig in tty2 - dhcp was used
  
Actual results:

IPv4 DHCP is used.

Expected results:

Configuration set in nm-c-e is used

Additional info:

Attaching tested patch

--- Additional comment from rvykydal@redhat.com on 2010-10-08 07:24:05 EDT ---

Proposing as F14 Blocker with hope for Nice To Have.

The patch in master:
http://git.fedorahosted.org/git/?p=anaconda.git;a=commit;h=2978f4418f0d6c1d0f64cab9056bb5c989f2abc9
Comment 1 Radek Vykydal 2010-10-15 11:16:39 EDT
(In reply to comment #0)

> 
> Steps to Reproduce:
> 1. Start DVD install
> 2. Enable Fedora 14 Beta repo in repository UI screen
> 3. Configure static networking in nm-c-e.
> 4. look at ifconfig in tty2 - dhcp was used
> 
> Actual results:
> 
> IPv4 DHCP is used.
> 

If dhcp configuration doesn't fail (i.e. there actually is a DHCP server on the
line).
Comment 2 RHEL Product and Program Management 2010-10-29 17:31:34 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 3 Radek Vykydal 2010-11-25 08:16:43 EST
This should be fixed in version 13.21.84-1 of anaconda.
Comment 6 Alexander Todorov 2011-04-05 09:48:03 EDT
In anaconda-13.21.108-1 manual configuration was entered after adding additional repository and eth0 was indeed configured with the specified manual settings.
Comment 7 errata-xmlrpc 2011-05-19 08:52:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0530.html

Note You need to log in before you can comment on or make changes to this bug.